.wtb-ftb {
    display: flex;
    overflow: hidden;
    position: relative;
    background: #EBE3D7;
    border-radius: 12px;
    padding: 40px 20px;
    transition: .5s ease-in-out;
    min-height: 200px;

    @media(max-width: 767px) {
        padding: 20px;
    }

    .wtb-ftb__options-view {
        width: 100%;

        min-width: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;

        .wtb-ftb__heading {
            color: #221C13;
            font-family: var(--e-global-typography-primary-font-family);
            font-size: 32px;
            font-style: normal;
            font-weight: 500;
            line-height: 110%;
            margin: 0;

            @media(max-width: 767px) {
                font-size: 22px;
            }
        }

        .wtb-ftb__options {
            display: flex;
            flex-direction: column;
            gap: 10px;

            .wtb-ftb__option {
                display: grid;
                grid-template-columns: auto 90px;
                padding: 16px;
                border-radius: 12px;
                gap: 40px;
                justify-content: space-between;
                background: #FBF9F5;
                transition: .3s ease-in-out;
                align-items: center;

                @media(max-width: 767px) {
                    grid-template-columns: auto 58px;
                    gap: 12px;
                }

                &:not([product_ids=""]) {
                    &:hover {
                        background: #F5F0E9;
                        cursor: pointer;
                    }
                }


                .wtb-ftb__option-content {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .wtb-ftb__option-title {
                        color: #221C13;
                        font-family: var(--e-global-typography-primary-font-family);
                        font-size: 20px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: 140%;

                        @media(max-width: 767px) {
                            font-size: 16px;
                        }
                    }

                    .wtb-ftb__option-subtitle {
                        color: var(--e-global-color-af18597);
                        font-family: var(--e-global-typography-primary-font-family);
                        font-size: 16px;
                        font-style: normal;
                        font-weight: 400;

                        @media(max-width: 767px) {
                            font-size: 12px;
                        }
                    }

                    p {
                        margin: 0;
                    }
                }

            }
        }
    }

    &.-loading *,
    &.-loading {
        cursor: progress !important;
    }

    .wtb-ftb__panel {
        position: absolute;
        top: 0;
        right: -100%;
        visibility: hidden;
        height: 100%;
        width: 100%;
        z-index: 1;
        background: #EBE3D7;
        transition: .5s ease-in-out;
        border-radius: 12px;
        display: flex;
        flex-direction: column;
        padding: 40px 20px;
        justify-content: space-between;
        gap: 8px;

        @media(max-width: 767px) {
            padding: 20px;
        }


        .wtb-ftb__back {
            display: flex;
            width: fit-content;
            border: none;
            padding: 0;
            background: none;
            font-size: 14px;
            font-style: normal;
            font-weight: 600;
            line-height: 16px;
            font-family: var(--e-global-typography-primary-font-family);
            color: #526E80;
            text-transform: capitalize;
            text-decoration: underline;
        }

        .wtb-ftb__panel-heading {
            color: var(--Color-Neutral-Neutral-900, #221C13);
            font-family: var(--e-global-typography-primary-font-family);
            font-size: 32px;
            font-style: normal;
            font-weight: 500;
            line-height: 110%;
            margin: 0;

            @media(max-width: 767px) {
                font-size: 20px;
            }
        }

        &._is_active {
            right: 0;
            visibility: visible;
        }

        .wtb-ftb__slider {
            .wtb-ftb__slider-track {
                overflow-x: auto;
                display: flex;
                scrollbar-width: none;
                -ms-overflow-style: none;
                scroll-snap-type: x mandatory;

                .wtb-ftb__slide {
                    width: 100%;
                    display: flex;
                    border-radius: 12px;
                    overflow: hidden;
                    min-width: 100%;
                    scroll-snap-align: start;
                    height: fit-content;

                    @media(max-width: 767px) {
                        flex-direction: column;
                    }

                    .wtb-ftb__slide-image {
                        width: 250px;

                        @media(max-width: 767px) {
                            width: 100%;
                            height: 200px;
                        }

                        img {
                            width: 100%;
                            height: 100%;
                            object-fit: cover;
                        }
                    }

                    .wtb-ftb__slide-label {
                        font-family: var(--e-global-typography-primary-font-family);
                        font-size: 12px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: 140%;
                        text-transform: uppercase;
                        color: #526E80;
                    }

                    .wtb-ftb__slide-name {
                        color: var(--e-global-color-af18597);
                        font-family: var(--e-global-typography-primary-font-family);
                        font-size: 24px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: 110%;
                    }

                    .wtb-ftb__slide-info {
                        width: calc(100% - 250px);
                        padding: 16px;
                        display: flex;
                        flex-direction: column;
                        gap: 12px;
                        background: #FFF;
                        min-height: 100%;

                        @media(max-width: 767px) {
                            width: 100%;
                            gap: 12px;
                        }

                        p {
                            margin: 0;
                        }

                        .wtb-ftb__slide-badges {
                            display: flex;
                            overflow-x: auto;
                            gap: 8px;
                            scrollbar-width: none;
                            -ms-overflow-style: none;

                            .wtb-ftb__badge {
                                padding: 4px 12px;
                                border-radius: 50px;
                                color: #131927;
                                text-align: center;
                                font-family: var(--e-global-typography-primary-font-family);
                                font-size: 12px;
                                font-style: normal;
                                font-weight: 500;
                                line-height: 16px;
                                background: #EBE3D7;
                                white-space: nowrap;
                            }
                        }

                        .wtb-ftb__slide-price {
                            * {
                                font-family: var(--e-global-typography-primary-font-family);
                                font-size: 22px;
                                font-style: normal;
                                font-weight: 700;
                                line-height: 110%;
                                color: var(--e-global-color-af18597);
                            }
                        }

                        .wtb-ftb__slide-cta {
                            display: flex;
                            width: 100%;
                            justify-content: center;
                            align-items: center;
                            background: #526E80;
                            border-radius: 50px;
                            font-family: var(--e-global-typography-primary-font-family);
                            font-size: 16px;
                            font-style: normal;
                            font-weight: 600;
                            line-height: 20px;
                            color: #FFF;
                            padding: 14px 20px;
                            margin-top: 12px;
                            transition: .3s ease-in-out;

                            &:hover {
                                background: var(--e-global-color-571a1ca);
                            }
                        }
                    }
                }
            }
        }

        .wtb-ftb__slider-nav {
            display: flex;
            justify-content: end;

            @media(max-width: 767px) {
                justify-content: center;
            }

            button {
                padding: 0;
                background: none;
                border: none;

                img {
                    width: 73px;
                    height: auto;

                    @media(max-width: 767px) {
                        width: 50px;
                    }
                }
            }
        }
    }
}